<?php if (!defined('PmWiki')) exit();
/***
* config.php -- A QuickWikiCMS site's PmWiki local configuration file
*/

##  $WikiTitle is the name that appears in the browser's title bar.
#
 $WikiTitle = "Wiki CMS Website";
 $AdaptWikiTagline = "";

##  Site-wide passwords - the password goes between the single-quotes.
##    Example:  pmcrypt('secretpassword')
##  See: http://www.pmwiki.org/wiki/PmWiki/PasswordsAdmin
##  You can also use ?action=crypt and copy-n-paste to obfuscate these.
#
 $DefaultPasswords['admin'] = pmcrypt('');   // Adminsitrator
 $DefaultPasswords['edit'] = pmcrypt('demo');   // Author
#
##  Uncomment (only) one of the following to enable uploads.
##  See: http://www.QuickWikiCMS.com/Main/EnableUploads
#
 $HandleAuth['upload'] = 'edit';   // If you can edit, you can upload
# $DefaultPasswords['upload'] = pmcrypt('');   // Must know upload password
#
##  Enable editing of "draft" versions of pages. Uncomment only one.
##  Both commented disables drafts. Info: PmWiki.Drafts
#
 $DefaultPasswords['publish'] = ' ';   // ' ' = all authors can publish
# $DefaultPasswords['publish'] = pmcrypt('');   // modetated publishing

##  ?action=attr password - Info: PmWiki.PasswordsAdmin
#
# $DefaultPasswords['attr'] = pmcrypt('quick');   // ?action=attr

##  Set the time zone and format. Timezones: https://php.net/timezones
#
# date_default_timezone_set('America/Phoenix');
# $TimeFmt = '%B %d, %Y';

##  $ScriptUrl is the preferred URL for accessing wiki pages
##  $PubDirUrl is the URL for the pub directory.
#
##  Auto semi-clean URLs for a fresh Quick Wiki CMS installation
##  (It's safe to delete this otherwise.)
 // if there's an index file in the pmwiki directory...
 if (file_exists("./index.php") && file_exists("./pmwiki.php")) {
   //  ...build a URL without "pmwiki.php", even if this is the docroot
   $UrlDir =  dirname($_SERVER['REQUEST_URI'].'xtra_txt');   // append text
   $EndSlash = ($UrlDir == '/') ? '' : '/';   // no EndSlash if docroot
   $ScriptUrl = $UrlScheme.'://'.$_SERVER['HTTP_HOST'].$UrlDir.$EndSlash; }
#
 $ScriptUrl = 'http://localhost/';
 $PubDirUrl = 'http://localhost/pub';

##  Use Clean URLs of the form .../Group/PageName
##  See: http://www.pmwiki.org/wiki/Cookbook/CleanUrls
#
# $EnablePathInfo = 1;

##  $PageLogoUrl is the URL for a logo image.
##  $PubDirUrl points to the pub/ directory.
#
# $PageLogoUrl = "$PubDirUrl/QuickWikiCMSLogo.png";

##  Use the Adapt Skin
#
 if (file_exists("$FarmD/pub/skins/adapt")) // <== This line safe to delete if
   $Skin = 'adapt';                          // Adapt skin is installed

##  Unicode (UTF-8) allows the display of all languages and all alphabets.
#
include_once("scripts/xlpage-utf-8.php");

##  Enable graphical buttons on the edit page
#
 $EnableGUIButtons = 1;
#
##  Add a List GUI button
 $GUIButtons['table'] = array(600,
   '||border=1 width=80%\\n||!Hdr ||!Hdr ||!Hdr ||\\n||     ||'
  .'     ||     ||\\n||     ||     ||     ||\\n', '', '',
   '$GUIButtonDirUrlFmt/table.gif"$[Table]"');

##  Enable uploads if uploads authorization is set (above).
##  Info @ PmWiki.UploadsAdmin.
 if ($HandleAuth['upload'] || $DefaultPasswords['upload']) {
   $EnableUpload = 1;
   ##  Set unx permissions applied to newly uploaded files.
   $UploadPermAdd = 0;   // 0 recommended
   ##  Set a maximum upload size
   $UploadMaxSize = 2097152;    // Two megs
   ##  Give each page its own upload directory.
   $UploadPrefixFmt = '/$FullName';
   ##  Add some missing filetypes.
   $UploadExts['7z'] = 'application/x-7z-compressed';
   $UploadExts['html'] = 'application/x-unknown';
   $UploadExts['csv'] = 'text/csv';
 }

##  Diagnostic actions (?action=diag and ?action=phpinfo)
#
 $HandleAuth['diag'] = 'admin';   // only for admin
 $EnableDiag = 1;

##  Set $SpaceWikiWords if you want WikiWords to automatically
##  have spaces before each sequence of capital letters.
#
# $SpaceWikiWords = 1;   // Turn on WikiWord spacing

##  Specify the minimum number of days to keep a page's revision history.
#
# $DiffKeepDays=183;   // Keep page history at least 6 months

##  Setting zero here speeds up searches, but viewers may learn of
##  the existence of read-protected pages.
##  Info: docs/sample-config.php | PmWiki.PagelistVariables
#
# $EnablePageListProtect = 0;

##  Enable ?action=refcount to help find missing and orphaned pages.
##  Info: PmWiki.RefCount
#
 $HandleAuth['refcount'] = 'admin'; # only for admin
 if ($action == 'refcount') include_once('scripts/refcount.php');

##  Enable RSS and Atom web feeds (?action=rss & ?action=atom).
##  Info: docs/sample-config.php | PmWiki.WebFeeds | Cookbok:FeedLinks
#
# if ($action == 'rss' || $action == 'atom') {
# include_once("$FarmD/scripts/feeds.php"); }

##  Auto-create a blank Category page when a Category link is saved.
##  Info: docs/sample-config.php | PmWiki.Categories
#
 $AutoCreate['/^Category\\./'] = array('ctime' => $Now);

##  Approve links to external sites before they are turned into links.
##  Info: docs/sample-config.php | PmWiki.UrlApprovals
#
# $UnapprovedLinkCountMax = 10;   // Limit # of unapproved links
# include_once("scripts/urlapprove.php");

##  Produce a unique cookie prefix for this site.
#
 $CookiePrefix = substr($tmp = md5(__FILE__), 0, 5).'_';

##  Require authors to provide a name when they edit pages.
#
 $EnablePostAuthorRequired = 1;

##  Enable editing of "draft" versions of pages. Info: PmWiki.Drafts
##  Setting the "publish" password from ' ' to crypt('<some password')
##  enables moderated publishing.
#
 if ($DefaultPasswords['publish']) {
   $EnablePublishAttr = 1;   // Adds a "publish" authorization level.
   if (! preg_match('/-Talk$/', $pagename)) $EnableDrafts = 1;
   # $EnableDraftAtomicDiff = 1; # Merge interim draft-diffs upon publishing
 }
##  Note: Setting ' ' as the password effectively removes "publish"
##  authorization level (workaround for PmWiki bug).

##  Remove the default "rel='nofollow'" attribute for external links.
#
 $UrlLinkFmt =
   "<a class='urllink' href='\$LinkUrl' title='\$LinkAlt'>\$LinkText</a>";

##  Eliminate any forbidden ?action= values from page links returned to robots.
#
$EnableRobotCloakActions = 1;

##  Enable some missing-by-default accesskeys
#
 XLSDV('en', array(
   'ak_view' => 'v',
   'ak_attach'  => 'a',
   'ak_backlinks' => 'b',
   'ak_logout' => 'l'));

##  Set a default edit template.
#
# $EditTemplatesFmt = 'Site.CMSEditTemplate';


/**
* Upper (pre-recipe) Configuration Development Area
*/



/***
* Recipes
*/

##  Quick Wiki CMS
##  Adds some extra CMS features specific to a Quick Wiki CMS.
#
 if (file_exists("$FarmD/cookbook/quickwikicms.php"))
   include_once("$FarmD/cookbook/quickwikicms.php");

##  Preview Changes -- http://pmwiki.org/Cookbook/PreviewChanges
##  Inserts a "diff" section in the edit page preview.
#
 if (file_exists("$FarmD/cookbook/previewchanges.php")) {
   if(@$_REQUEST['preview']>'')
     include_once("$FarmD/cookbook/previewchanges.php");
 }

##  AddLink Bookmarklet -- http://pmwiki.org/Cookbook/CMSBundleAddLink
##  Creates an (:addlink:) page direcive for easy bookmarking to a page.
#
 if (file_exists("$FarmD/cookbook/cmsb-addlink.php")) {
   if (preg_match('/^(edit|browse|addlink|logout)$/', $action)) {
     @include_once("$FarmD/cookbook/cmsb-addlink.php"); }
 }

##  Author Contribution --  Keep a list of pages each author has edited.
##  http://www.pmwiki.org/wiki/Cookbook/AuthorContribution
#
# if ($action == 'edit' || $action == 'comment') {
#   @include_once("$FarmD/cookbook/authorcontrib.php"); }

##  FeedLinks -- http://www.pmwiki.org/wiki/Cookbook/FeedLinks
##  Adds HTML header links that enable "autodiscovery" of the site's
##  Atom and/or RSS web feeds. (Enable RSS and/or Atom web feeds first.)
#
# $FeedLinkSourcePath = 'Main/AllRecentChanges';
# @include("$FarmD/cookbook/feedlinks.php");  # Site-wide
# $EnableSitewideFeed = 0;
#   @include("$FarmD/cookbook/feedlinks.php");  # Per-group

// experimental - toggle-new is toggle-20151223.php from the recipe page.
##  Toggle -- http://www.pmwiki.org/wiki/Cookbook/Toggle
##  Adds links or buttons for hiding/showing div sections and objects.
#
 if (file_exists("$FarmD/cookbook/toggle-new.php"))
   include_once("$FarmD/cookbook/toggle-new.php");

## Adapt Skin
if ($Skin == 'adapt') {
  $AdaptMinCss = 1; // Use minified CSS
  $AdaptWikiLogoEna = 0;
  $AdaptTagHomeOnly = 1;
  $AdaptPoweredByEna = 1;
  ## Serif font in the content area on iOS, Android, and other mobile
  ## Includes .sans for %sans% wikistyle.
  if  (preg_match('/Android|iPad|iPhone|iPod|Mobile|Phone|Kindle|Silk/',
    $_SERVER['HTTP_USER_AGENT']))
      $HTMLStylesFmt['adaptmobile'] = '
html, .pure-g [class *= "pure-u"] { font-family:
  Georgia, Times, "Times New Roman", serif; }
#menu, #wikilogotxt, #wikihead, #wikifoot, #wikicmds,
.title, .caption, h2, h3, h4, h5, h6, .sans { font-family:
  FreeSans, Arimo, "Droid Sans", Helvetica, Arial, sans-serif; }'."\n";
}

/**
*  Special late placement for these because they use ResolvePageName(),
*  CondAuth(), etc.  See PmWiki.LocalCustomizations#configphp-order
*/

##  Enable IMS Caching. See docs/sample-config.php
#
 if (! CondAuth($pagename, 'edit')) {   // if visitor cannot edit
   $EnableIMSCaching = 1;   // allow browser caching
 }

##  CMS Mode -- http://www.pmwiki.org/wiki/Cookbook/CMSMode
##  Makes the wiki look and act like a normal website for non-authors.
#
##  These Group and Page Names are excluded from search results.
# SDVA($CMSExclSearchGroups, array('SomeGroup', 'SomeOtherGroup'));
# SDVA($CMSExclSearchNames, array('SomePageName','SomeOtherName'));
#
##  These Group and Page Names are excluded from public AllRecenPages page.
# SDVA($CMSExclARCGroups, array('SomeGroup', 'SomeOtherGroup'));
# SDVA($CMSExclARCNames, array('SomePageName','SomeOtherName'));
#
##  Authors can visit these Redirect Groups and Pages, non-authors can't.
# SDVA($CMSRedirGroups, array('SomeGroup'));
# SDVA($CMSRedirNames, array('SomePageName'));
#
##  Add time modified on the public AllRecentChanges page.
# $CMSTimeARCFmt = '%B %d, %Y, at %I:%M %p';
#
##  Add actions to list of actions allowed for non-authors.
 SDVA($CMSAllowedActions,array('crypt'));   // add crypt (for new install)
#
 // load the recipe
 $pagename = ResolvePageName($pagename);
 if (file_exists("$FarmD/cookbook/cmsmode.php"))
   include_once("$FarmD/cookbook/cmsmode.php");


/**
* Lower (post-recipe) Configuration Development Area
*/



